aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2021-05-14 12:01:41 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2021-05-18 07:17:08 +0000
commitabc3d95fdc9a62dd1651a117b4bae4efdd236757 (patch)
tree417b8407edac8485b03dccaa40f826965f1d460b
parentff661ad187222bf5656bd33c404e697f003e9cc3 (diff)
community/prosody: security upgrade to 0.11.9
This upgrade fixes the following CVEs: -CVE-2021-32917 -CVE-2021-32918 -CVE-2021-32919 -CVE-2021-32920 -CVE-2021-32921 Fixes #12671
-rw-r--r--community/prosody/APKBUILD12
1 files changed, 10 insertions, 2 deletions
diff --git a/community/prosody/APKBUILD b/community/prosody/APKBUILD
index 06babad9acf..582c174f554 100644
--- a/community/prosody/APKBUILD
+++ b/community/prosody/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
_luaver=5.2
pkgname=prosody
-pkgver=0.11.5
+pkgver=0.11.9
pkgrel=0
pkgdesc="Lua based Jabber/XMPP server"
url="http://prosody.im/"
@@ -21,6 +21,14 @@ source="https://prosody.im/downloads/source/prosody-$pkgver.tar.gz
$pkgname.initd
"
+# secfixes:
+# 0.11.9-r0:
+# - CVE-2021-32917
+# - CVE-2021-32918
+# - CVE-2021-32919
+# - CVE-2021-32920
+# - CVE-2021-32921
+
build() {
./configure \
--prefix=/usr \
@@ -51,6 +59,6 @@ package() {
install -D -m755 "$srcdir"/"$pkgname".initd "$pkgdir"/etc/init.d/"$pkgname"
}
-sha512sums="43a9facee8d61b69e277e7e8a9091fbfa60be71d6141195dff991f6020c8afadacce26f356b869cb2d7edd9be285e9ce1bcd822f9628cc845d91757e818a0dff prosody-0.11.5.tar.gz
+sha512sums="fabbbbb1acb3de4ff01e3e8c6e9e4dc37cb161259f1649683a1f9d925ed9f1709e052bfc831cba3f1861a9cca599f2b725ee739bfcb57164d6f50ac07011b52a prosody-0.11.9.tar.gz
a6ca168fe3d11ee3b05295fb36dfaf8240c60a85507032b2502f9a97d3fd055f7eee38ba6efbb8f79472fc7cdd3556922194d0bd7099f7fb809be01890acc511 prosody.cfg.lua.patch
24360603dbd5d2a92758e6c4b4aab4f02cbd05373580cba2df76df98b6045891e8108e8c2d16af9508e93968ed5880db952e7a21b2742ebeec6f14b167968c2c prosody.initd"